Subject: Re: bug#23151: 25.1.50; Emacs should have a convenient command for saving unchanged buffers

From: Óscar Fuentes <[email-masked]>
Date: Wed, 30 Mar 2016 18:28:19 +0200

Andreas Schwab <[email-masked]> writes:

>> Someone mentioned C-u C-x C-w, which shows a prompt where you are
>> supposed to write the file name of the buffer you are visiting. If you
>> type the wrong file name,
>
> You don't need to type anything but RET.

Being an Emacs users guarantees that one learns something new
everyday...

So it is `C-u C-x C-w ENTER'. Or, if you are using Ido: `C-u C-x C-w
C-j'. Other completion packages might require their own variations.
Considering that `x' and `w' are typed with the same finger on Qwerty
keyboards, it is not the most convenient sequence.

Given how popular the practice seems to be, I still think that is
preferable to use an specific command that doesn't query redundant info
such as a file name and with a more convenient shortcut (something that
can improve over `<char> DEL C-x C-s')